Jump to content

[SOVLED] Cant install paypal module


karlennis
 Share

Recommended Posts

Hi all, i am hoping someone can help me, i am trying to install the ebay module but when i click install it returns an error

 

Unable to install override: The method __set_state in the class Cart is already overriden.

 

does anyone have any idea what to do!?

 

thanks

Share this post


Link to post
Share on other sites

Have you made previous attempts to install the module,  which perhaps gave a different error?

 

I've had this particular message when a previous install has failed, after installing the override, so the next time, it spots that an override is already there and quits.

 

Download both /override/classes/Cart.php and /modules/ebay/override/classes/Cart.php and see if they are exactly the same.  If they are, then it's safe to delete the first of those, and the install should then continue (putting it back!).  If they are different, it implies that you are using another module that needs changes to the same routines, so it might need some manual work to be able to use both.

Share this post


Link to post
Share on other sites

hello

 

thank you for information that everything works well, so the problem was with override as i said in my first post here. irrelevant solved it, he gave precise solution

 

i marked topic as [solved]

 

with regards,

Milos

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More